<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LinkProjectionStructure StructType
 * Meta informations extracted from the WSDL
 * - documentation: Type for PROJECTION as a geospatial polyline.
 * @subpackage Structs
 */
class LinkProjectionStructure extends AbstractProjection
{
    /**
     * The Line
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\Line
     */
    public $Line;
    /**
     * Constructor method for LinkProjectionStructure
     * @uses LinkProjectionStructure::setLine()
     * @param \StructType\Line $line
     */
    public function __construct(\StructType\Line $line = null)
    {
        $this
            ->setLine($line);
    }
    /**
     * Get Line value
     * @return \StructType\Line|null
     */
    public function getLine()
    {
        return $this->Line;
    }
    /**
     * Set Line value
     * @param \StructType\Line $line
     * @return \StructType\LinkProjectionStructure
     */
    public function setLine(\StructType\Line $line = null)
    {
        $this->Line = $line;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\LinkProjectionStructure
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
